INSERT INTO DecisionsAddin_Support		
			(FileName)
VALUES		('ScroogeDecisions.lua');
	
--Provides Magistrates at the beginning after building the Money Bin (if this line would not be here, Scrooge McDuck won't receive any Magistrates! This is because of ResourcePerEra only working for Building and not BuildingClass)
INSERT INTO Building_ResourcePerEra 	
			(BuildingType, 									ResourceType,			Quantity, 	InitialQuantity)
VALUES		('BUILDING_MONEYBIN', 							'RESOURCE_MAGISTRATES',	0, 			2);

--Duckberg International Trade Company building
INSERT INTO BuildingClasses
			(Type,									DefaultBuilding,					Description,								MaxGlobalInstances, MaxPlayerInstances)
VALUES		('BUILDINGCLASS_DECISIONS_SCROOGE_ITC', 'BUILDING_DECISIONS_SCROOGE_ITC',	'TXT_KEY_BUILDING_DECISIONS_SCROOGE_ITC',	1,					-1);

INSERT INTO Buildings 	
			(Type, 						 				BuildingClass, 								Description,									Civilopedia,											Help,												Quote,								Strategy,			Cost,	PrereqTech, 	SpecialistType,			SpecialistCount,	GreatPeopleRateModifier,	GlobalEspionageModifier,	ExtraSpies,	Espionage,		NukeImmune,		ConquestProb, 	NumTradeRouteBonus,	IconAtlas, 					PortraitIndex,	WonderSplashImage)
VALUES		('BUILDING_DECISIONS_SCROOGE_ITC', 			'BUILDINGCLASS_DECISIONS_SCROOGE_ITC',		'TXT_KEY_BUILDING_DECISIONS_SCROOGE_ITC',		'TXT_KEY_DECISIONS_WONDER_SCROOGE_ITC_CIVILOPEDIA',		'TXT_KEY_BUILDING_DECISIONS_SCROOGE_ITC_HELP',		'TXT_KEY_WONDER_SCROOGE_ITC_QUOTE',	null,				-1,  	'TECH_GUILDS',	'SPECIALIST_MERCHANT',	3,					1,							-25,						1,			1,				1,				100,			2,					'DUCK_CIV_DECISION_ATLAS',	0,				'WonderScroogeITCSplash.dds');

INSERT INTO Building_YieldChanges
			(BuildingType,								YieldType,			Yield)
VALUES		('BUILDING_DECISIONS_SCROOGE_ITC',			'YIELD_GOLD',		1),
			('BUILDING_DECISIONS_SCROOGE_ITC',			'YIELD_CULTURE',	1);
			
INSERT INTO Building_BuildingClassYieldChanges 	
			(BuildingType, 								BuildingClassType,				YieldType, 					YieldChange)
VALUES		('BUILDING_DECISIONS_SCROOGE_ITC', 			'BUILDINGCLASS_MARKET',			'YIELD_PRODUCTION', 		1),
			('BUILDING_DECISIONS_SCROOGE_ITC', 			'BUILDINGCLASS_BANK',			'YIELD_PRODUCTION', 		1),
			('BUILDING_DECISIONS_SCROOGE_ITC', 			'BUILDINGCLASS_STOCK_EXCHANGE',	'YIELD_PRODUCTION', 		1),
			('BUILDING_DECISIONS_SCROOGE_ITC', 			'BUILDINGCLASS_CARAVANSARY',	'YIELD_PRODUCTION', 		1),
			('BUILDING_DECISIONS_SCROOGE_ITC', 			'BUILDINGCLASS_MINT',			'YIELD_PRODUCTION', 		1);

--Provides Magistrates per Era after building the Duckburg International Trade Company
INSERT INTO Building_ResourcePerEra 	
			(BuildingType, 									ResourceType,			Quantity, 	InitialQuantity)
VALUES		('BUILDING_DECISIONS_SCROOGE_ITC', 				'RESOURCE_MAGISTRATES',	1, 			0);

--Dummy Building which provides an Ice Cream Parlor in every city
INSERT INTO BuildingClasses
			(Type,													DefaultBuilding)
VALUES		('BUILDINGCLASS_DECISIONS_SCROOGE_ICE_CREAM_DUMMY', 	'BUILDING_DECISIONS_SCROOGE_ICE_CREAM_DUMMY');

INSERT INTO Buildings
			(Type,											BuildingClass,	
			Cost,	FaithCost,	GreatWorkCount, PrereqTech,	FreeBuilding,	 												NeverCapture,	NukeImmune)
VALUES		('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_DUMMY',	'BUILDINGCLASS_DECISIONS_SCROOGE_ICE_CREAM_DUMMY',
			-1,		-1,			-1,				null,		'BUILDINGCLASS_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',				1,				1);
			
--Ice Cream Parlor
INSERT INTO BuildingClasses
			(Type,													DefaultBuilding,								Description,											MaxGlobalInstances, MaxPlayerInstances)
VALUES		('BUILDINGCLASS_DECISIONS_SCROOGE_ICE_CREAM_PARLOR', 	'BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',	'TXT_KEY_BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',	-1,					-1);

INSERT INTO Buildings 	
			(Type, 						 								BuildingClass, 											Description,												Civilopedia,															Help,															Strategy,			Cost,	PrereqTech,	UnmoddedHappiness, 			IconAtlas, 					PortraitIndex)
VALUES		('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR', 			'BUILDINGCLASS_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'TXT_KEY_BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'TXT_KEY_BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR_CIVILOPEDIA',		'TXT_KEY_BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR_HELP',		null,				-1,  	null,		1,							'DUCK_CIV_DECISION_ATLAS',	1);

INSERT INTO Building_YieldChanges 	
			(BuildingType, 												YieldType, 				Yield)
VALUES		('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR', 			'YIELD_GOLD', 			1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR', 			'YIELD_CULTURE', 		1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR', 			'YIELD_FAITH', 			1);

INSERT INTO Building_ResourceYieldChanges
			(BuildingType,										ResourceType,		YieldType,	  		Yield)
VALUES		('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_BANANA',	'YIELD_FOOD', 		1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_COW',		'YIELD_FOOD', 		1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_CITRUS',	'YIELD_FOOD', 		1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_SPICES',	'YIELD_FOOD', 		1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_SUGAR',	'YIELD_FOOD', 		1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_COCOA',	'YIELD_FOOD', 		1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_BANANA',	'YIELD_GOLD', 		2),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_COW',		'YIELD_GOLD', 		2),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_CITRUS',	'YIELD_GOLD', 		2),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_SPICES',	'YIELD_GOLD', 		2),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_SUGAR',	'YIELD_GOLD', 		2),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_COCOA',	'YIELD_GOLD', 		2),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_BANANA',	'YIELD_CULTURE', 	1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_COW',		'YIELD_CULTURE', 	1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_CITRUS',	'YIELD_CULTURE', 	1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_SPICES',	'YIELD_CULTURE', 	1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_SUGAR',	'YIELD_CULTURE',	1),
			('BUILDING_DECISIONS_SCROOGE_ICE_CREAM_PARLOR',		'RESOURCE_COCOA',	'YIELD_CULTURE', 	1); 

--All hidden Policies added via decisions
--Scrooge ITC Wonder Policy
INSERT INTO Policies	
			(Type,								Description,							LandTradeRouteGoldChange,	SeaTradeRouteGoldChange,	CityStateTradeChange,	InternalTradeRouteYieldModifier,	CatchSpiesModifier)
VALUES		('POLICY_DECISIONS_SCROOGE_ITC',	'TXT_KEY_DECISIONS_SCROOGE_ITC',		100,						100,						100,					50,									25);

INSERT INTO Policy_CapitalYieldPerPopChanges
			(PolicyType,						YieldType,		Yield)
VALUES		('POLICY_DECISIONS_SCROOGE_ITC',	'YIELD_GOLD',	-50);

--Scrooge Gastraphetes Policy
INSERT INTO Policies	
			(Type,										Description)
VALUES		('POLICY_DECISIONS_SCROOGE_GASTRAPHETES',	'TXT_KEY_DECISIONS_SCROOGE_GASTRAPHETES');

INSERT INTO Policy_UnitCombatProductionModifiers
			(PolicyType, 								UnitCombatType,				ProductionModifier)
VALUES		('POLICY_DECISIONS_SCROOGE_GASTRAPHETES', 	'UNITCOMBAT_ARCHER',		15),
			('POLICY_DECISIONS_SCROOGE_GASTRAPHETES', 	'UNITCOMBAT_SIEGE',			15);
			
INSERT INTO Policy_BuildingClassYieldModifiers
			(PolicyType,								BuildingClassType,				YieldType,			YieldMod)
VALUES		('POLICY_DECISIONS_SCROOGE_GASTRAPHETES',	'BUILDINGCLASS_ARMORY',			'YIELD_SCIENCE',	25);

INSERT INTO Policy_FreePromotions 
			(PolicyType, 								PromotionType) 
VALUES 		('POLICY_DECISIONS_SCROOGE_GASTRAPHETES', 	'PROMOTION_DECISIONS_SCROOGE_GASTRAPHETES');

--Scrooge Sagittaria Promotion
INSERT INTO UnitPromotions
			(Type, 												CityAttack,		Description, 												Help, 														CannotBeChosen, 		Sound, 				PortraitIndex, 	IconAtlas, 			PediaType, 			PediaEntry)
VALUES		('PROMOTION_DECISIONS_SCROOGE_GASTRAPHETES', 		50,				'TXT_KEY_PROMOTION_DECISIONS_SCROOGE_GASTRAPHETES', 		'TXT_KEY_PROMOTION_DECISIONS_SCROOGE_GASTRAPHETES_HELP',	1, 						'AS2D_IF_LEVELUP', 	59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_DECISIONS_SCROOGE_GASTRAPHETES');
			
INSERT INTO UnitPromotions_UnitCombats
			(PromotionType, 									UnitCombatType)
VALUES		('PROMOTION_DECISIONS_SCROOGE_GASTRAPHETES', 		'UNITCOMBAT_ARCHER');